OpenVDB: ConvertPointDataGridAttributeOp< PointDataTreeType, Attribute, FilterT > Struct Template Reference

OpenVDB 5.2.0

Public Types | Public Member Functions | Public Attributes | List of all members
ConvertPointDataGridAttributeOp< PointDataTreeType, Attribute, FilterT > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | LeafNode = typename PointDataTreeType::LeafNodeType
using | ValueType = typename Attribute::ValueType
using | HandleT = typename Attribute::Handle
using | SourceHandleT = typename ConversionTraits< ValueType >::Handle
using | LeafManagerT = typename tree::LeafManager< const PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange

## Public Member Functions
| ConvertPointDataGridAttributeOp (Attribute &attribute, const std::vector< Index64 > &pointOffsets, const Index64 startOffset, const size_t index, const Index stride, const FilterT &filter, const bool inCoreOnly)
template<typename IterT >
void | convert (IterT &iter, HandleT &targetHandle, SourceHandleT &sourceHandle, Index64 &offset) const
void | operator() (const LeafRangeT &range) const

## Public Attributes
Attribute & | mAttribute
const std::vector< Index64 > & | mPointOffsets
const Index64 | mStartOffset
const size_t | mIndex
const Index | mStride
const FilterT & | mFilter
const bool | mInCoreOnly

## Member Typedef Documentation

## ◆ HandleT

using HandleT = typename Attribute::Handle

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<const PointDataTreeType>

## ◆ LeafNode

using LeafNode = typename PointDataTreeType::LeafNodeType

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## ◆ SourceHandleT

using SourceHandleT = typename ConversionTraits<ValueType>::Handle

## ◆ ValueType

using ValueType = typename Attribute::ValueType

## Constructor & Destructor Documentation

## ◆ ConvertPointDataGridAttributeOp()

ConvertPointDataGridAttributeOp | ( | Attribute & | attribute,
|  | const std::vector< Index64 > & | pointOffsets,
|  | const Index64 | startOffset,
|  | const size_t | index,
|  | const Index | stride,
|  | const FilterT & | filter,
|  | const bool | inCoreOnly
| ) |  |
| inline

## Member Function Documentation

## ◆ convert()

void convert | ( | IterT & | iter,
|  | HandleT & | targetHandle,
|  | SourceHandleT & | sourceHandle,
|  | Index64 & | offset
| ) |  | const
| inline

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mAttribute

Attribute& mAttribute

## ◆ mFilter

const FilterT& mFilter

## ◆ mInCoreOnly

const bool mInCoreOnly

## ◆ mIndex

const size_t mIndex

## ◆ mPointOffsets

const std::vector<Index64>& mPointOffsets

## ◆ mStartOffset

const Index64 mStartOffset

## ◆ mStride

const Index mStride

The documentation for this struct was generated from the following file:

- PointConversion.h